import Session from '../Services/Identity/Session';
import { UserConfigurationGetActionDataResponse, UserConfigurationGetResponse, UserConfigurationUpdateResponse } from './UserConfiguration.consts';
export default class UserConfiguration {
    private userConfigurationEntity;
    constructor(session: Session);
    get(): Promise<UserConfigurationGetResponse>;
    getActionData(): Promise<UserConfigurationGetActionDataResponse>;
    update(userConfiguration: Partial<Bringg.UserConfiguration>): Promise<UserConfigurationUpdateResponse>;
}
